Package com.google.protobuf

# Class DescriptorProtos.FileOptions

java.lang.Object
com.google.protobuf.AbstractMessageLite
com.google.protobuf.AbstractMessage
com.google.protobuf.GeneratedMessageV3
com.google.protobuf.GeneratedMessageV3.ExtendableMessage<DescriptorProtos.FileOptions>
com.google.protobuf.DescriptorProtos.FileOptions

All Implemented Interfaces:
  `DescriptorProtos.FileOptionsOrBuilder`, `GeneratedMessageV3.ExtendableMessageOrBuilder<DescriptorProtos.FileOptions>`, `Message`, `MessageLite`, `MessageLiteOrBuilder`, `MessageOrBuilder`, `Serializable`

Enclosing class:
  DescriptorProtos

public static final class DescriptorProtos.FileOptions extends GeneratedMessageV3.ExtendableMessage<DescriptorProtos.FileOptions> implements DescriptorProtos.FileOptionsOrBuilder
Protobuf type `google.protobuf.FileOptions`

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`DescriptorProtos.FileOptions.Builder`
Protobuf type `google.protobuf.FileOptions`
`static enum`
`DescriptorProtos.FileOptions.OptimizeMode`
Protobuf enum `google.protobuf.FileOptions.OptimizeMode`

## Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3.ExtendableMessage

`GeneratedMessageV3.ExtendableMessage.ExtensionWriter`

## Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`GeneratedMessageV3.BuilderParent, GeneratedMessageV3.ExtendableBuilder<MessageT extends GeneratedMessageV3.ExtendableMessage<MessageT>,BuilderT extends GeneratedMessageV3.ExtendableBuilder<MessageT,BuilderT>>, GeneratedMessageV3.ExtendableMessage<MessageT extends GeneratedMessageV3.ExtendableMessage<MessageT>>, GeneratedMessageV3.ExtendableMessageOrBuilder<MessageT extends GeneratedMessageV3.ExtendableMessage<MessageT>>, GeneratedMessageV3.FieldAccessorTable, GeneratedMessageV3.UnusedPrivateParameter`

## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`AbstractMessageLite.InternalOneOfEnum`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CC_ENABLE_ARENAS_FIELD_NUMBER`
`static final int`
`CC_GENERIC_SERVICES_FIELD_NUMBER`
`static final int`
`CSHARP_NAMESPACE_FIELD_NUMBER`
`static final int`
`DEPRECATED_FIELD_NUMBER`
`static final int`
`GO_PACKAGE_FIELD_NUMBER`
`static final int`
`JAVA_GENERATE_EQUALS_AND_HASH_FIELD_NUMBER`
`static final int`
`JAVA_GENERIC_SERVICES_FIELD_NUMBER`
`static final int`
`JAVA_MULTIPLE_FILES_FIELD_NUMBER`
`static final int`
`JAVA_OUTER_CLASSNAME_FIELD_NUMBER`
`static final int`
`JAVA_PACKAGE_FIELD_NUMBER`
`static final int`
`JAVA_STRING_CHECK_UTF8_FIELD_NUMBER`
`static final int`
`OBJC_CLASS_PREFIX_FIELD_NUMBER`
`static final int`
`OPTIMIZE_FOR_FIELD_NUMBER`
`static final Parser<DescriptorProtos.FileOptions>`
`PARSER`
Deprecated.
`static final int`
`PHP_CLASS_PREFIX_FIELD_NUMBER`
`static final int`
`PHP_GENERIC_SERVICES_FIELD_NUMBER`
`static final int`
`PHP_METADATA_NAMESPACE_FIELD_NUMBER`
`static final int`
`PHP_NAMESPACE_FIELD_NUMBER`
`static final int`
`PY_GENERIC_SERVICES_FIELD_NUMBER`
`static final int`
`RUBY_PACKAGE_FIELD_NUMBER`
`static final int`
`SWIFT_PREFIX_FIELD_NUMBER`
`static final int`
`UNINTERPRETED_OPTION_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
Compares the specified object with this message for equality.
`boolean`
`getCcEnableArenas()`
`optional bool cc_enable_arenas = 31 [default = true, json_name = "ccEnableArenas"];`
`boolean`
`getCcGenericServices()`
`optional bool cc_generic_services = 16 [default = false, json_name = "ccGenericServices"];`
`String`
`getCsharpNamespace()`
`optional string csharp_namespace = 37 [json_name = "csharpNamespace"];`
`ByteString`
`getCsharpNamespaceBytes()`
`optional string csharp_namespace = 37 [json_name = "csharpNamespace"];`
`static DescriptorProtos.FileOptions`
`getDefaultInstance()`
`DescriptorProtos.FileOptions`
`getDefaultInstanceForType()`
Get an instance of the type with no fields set.
`boolean`
`getDeprecated()`
`optional bool deprecated = 23 [default = false, json_name = "deprecated"];`
`static final Descriptors.Descriptor`
`getDescriptor()`
`String`
`getGoPackage()`
`optional string go_package = 11 [json_name = "goPackage"];`
`ByteString`
`getGoPackageBytes()`
`optional string go_package = 11 [json_name = "goPackage"];`
`boolean`
`getJavaGenerateEqualsAndHash()`
Deprecated.
google.protobuf.FileOptions.java_generate_equals_and_hash is deprecated.
`boolean`
`getJavaGenericServices()`
`optional bool java_generic_services = 17 [default = false, json_name = "javaGenericServices"];`
`boolean`
`getJavaMultipleFiles()`
`optional bool java_multiple_files = 10 [default = false, json_name = "javaMultipleFiles"];`
`String`
`getJavaOuterClassname()`
`optional string java_outer_classname = 8 [json_name = "javaOuterClassname"];`
`ByteString`
`getJavaOuterClassnameBytes()`
`optional string java_outer_classname = 8 [json_name = "javaOuterClassname"];`
`String`
`getJavaPackage()`
`optional string java_package = 1 [json_name = "javaPackage"];`
`ByteString`
`getJavaPackageBytes()`
`optional string java_package = 1 [json_name = "javaPackage"];`
`boolean`
`getJavaStringCheckUtf8()`
`optional bool java_string_check_utf8 = 27 [default = false, json_name = "javaStringCheckUtf8"];`
`String`
`getObjcClassPrefix()`
`optional string objc_class_prefix = 36 [json_name = "objcClassPrefix"];`
`ByteString`
`getObjcClassPrefixBytes()`
`optional string objc_class_prefix = 36 [json_name = "objcClassPrefix"];`
`DescriptorProtos.FileOptions.OptimizeMode`
`getOptimizeFor()`
`optional .google.protobuf.FileOptions.OptimizeMode optimize_for = 9 [default = SPEED, json_name = "optimizeFor"];`
`Parser<DescriptorProtos.FileOptions>`
`getParserForType()`
TODO(b/258340024): Remove this unnecessary intermediate implementation of this method.
`String`
`getPhpClassPrefix()`
`optional string php_class_prefix = 40 [json_name = "phpClassPrefix"];`
`ByteString`
`getPhpClassPrefixBytes()`
`optional string php_class_prefix = 40 [json_name = "phpClassPrefix"];`
`boolean`
`getPhpGenericServices()`
`optional bool php_generic_services = 42 [default = false, json_name = "phpGenericServices"];`
`String`
`getPhpMetadataNamespace()`
`optional string php_metadata_namespace = 44 [json_name = "phpMetadataNamespace"];`
`ByteString`
`getPhpMetadataNamespaceBytes()`
`optional string php_metadata_namespace = 44 [json_name = "phpMetadataNamespace"];`
`String`
`getPhpNamespace()`
`optional string php_namespace = 41 [json_name = "phpNamespace"];`
`ByteString`
`getPhpNamespaceBytes()`
`optional string php_namespace = 41 [json_name = "phpNamespace"];`
`boolean`
`getPyGenericServices()`
`optional bool py_generic_services = 18 [default = false, json_name = "pyGenericServices"];`
`String`
`getRubyPackage()`
`optional string ruby_package = 45 [json_name = "rubyPackage"];`
`ByteString`
`getRubyPackageBytes()`
`optional string ruby_package = 45 [json_name = "rubyPackage"];`
`int`
`getSerializedSize()`
Get the number of bytes required to encode this message.
`String`
`getSwiftPrefix()`
`optional string swift_prefix = 39 [json_name = "swiftPrefix"];`
`ByteString`
`getSwiftPrefixBytes()`
`optional string swift_prefix = 39 [json_name = "swiftPrefix"];`
`DescriptorProtos.UninterpretedOption`
`getUninterpretedOption(int index)`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`int`
`getUninterpretedOptionCount()`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`List<DescriptorProtos.UninterpretedOption>`
`getUninterpretedOptionList()`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`DescriptorProtos.UninterpretedOptionOrBuilder`
`getUninterpretedOptionOrBuilder(int index)`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`List<? extends DescriptorProtos.UninterpretedOptionOrBuilder>`
`getUninterpretedOptionOrBuilderList()`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`boolean`
`hasCcEnableArenas()`
`optional bool cc_enable_arenas = 31 [default = true, json_name = "ccEnableArenas"];`
`boolean`
`hasCcGenericServices()`
`optional bool cc_generic_services = 16 [default = false, json_name = "ccGenericServices"];`
`boolean`
`hasCsharpNamespace()`
`optional string csharp_namespace = 37 [json_name = "csharpNamespace"];`
`boolean`
`hasDeprecated()`
`optional bool deprecated = 23 [default = false, json_name = "deprecated"];`
`boolean`
`hasGoPackage()`
`optional string go_package = 11 [json_name = "goPackage"];`
`int`
`hashCode()`
Returns the hash code value for this message.
`boolean`
`hasJavaGenerateEqualsAndHash()`
Deprecated.
google.protobuf.FileOptions.java_generate_equals_and_hash is deprecated.
`boolean`
`hasJavaGenericServices()`
`optional bool java_generic_services = 17 [default = false, json_name = "javaGenericServices"];`
`boolean`
`hasJavaMultipleFiles()`
`optional bool java_multiple_files = 10 [default = false, json_name = "javaMultipleFiles"];`
`boolean`
`hasJavaOuterClassname()`
`optional string java_outer_classname = 8 [json_name = "javaOuterClassname"];`
`boolean`
`hasJavaPackage()`
`optional string java_package = 1 [json_name = "javaPackage"];`
`boolean`
`hasJavaStringCheckUtf8()`
`optional bool java_string_check_utf8 = 27 [default = false, json_name = "javaStringCheckUtf8"];`
`boolean`
`hasObjcClassPrefix()`
`optional string objc_class_prefix = 36 [json_name = "objcClassPrefix"];`
`boolean`
`hasOptimizeFor()`
`optional .google.protobuf.FileOptions.OptimizeMode optimize_for = 9 [default = SPEED, json_name = "optimizeFor"];`
`boolean`
`hasPhpClassPrefix()`
`optional string php_class_prefix = 40 [json_name = "phpClassPrefix"];`
`boolean`
`hasPhpGenericServices()`
`optional bool php_generic_services = 42 [default = false, json_name = "phpGenericServices"];`
`boolean`
`hasPhpMetadataNamespace()`
`optional string php_metadata_namespace = 44 [json_name = "phpMetadataNamespace"];`
`boolean`
`hasPhpNamespace()`
`optional string php_namespace = 41 [json_name = "phpNamespace"];`
`boolean`
`hasPyGenericServices()`
`optional bool py_generic_services = 18 [default = false, json_name = "pyGenericServices"];`
`boolean`
`hasRubyPackage()`
`optional string ruby_package = 45 [json_name = "rubyPackage"];`
`boolean`
`hasSwiftPrefix()`
`optional string swift_prefix = 39 [json_name = "swiftPrefix"];`
`protected GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
Get the FieldAccessorTable for this type.
`final boolean`
`isInitialized()`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.
`static DescriptorProtos.FileOptions.Builder`
`newBuilder()`
`static DescriptorProtos.FileOptions.Builder`
`newBuilder(DescriptorProtos.FileOptions prototype)`
`DescriptorProtos.FileOptions.Builder`
`newBuilderForType()`
Constructs a new builder for a message of the same type as this message.
`protected DescriptorProtos.FileOptions.Builder`
`newBuilderForType(GeneratedMessageV3.BuilderParent parent)`
TODO(b/258340024): remove this together with GeneratedMessageV3.BuilderParent.
`protected Object`
`newInstance(GeneratedMessageV3.UnusedPrivateParameter unused)`
Creates a new instance of this message type.
`static DescriptorProtos.FileOptions`
`parseDelimitedFrom(InputStream input)`
`static DescriptorProtos.FileOptions`
`parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static DescriptorProtos.FileOptions`
`parseFrom(byte[] data)`
`static DescriptorProtos.FileOptions`
`parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry)`
`static DescriptorProtos.FileOptions`
`parseFrom(ByteString data)`
`static DescriptorProtos.FileOptions`
`parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry)`
`static DescriptorProtos.FileOptions`
`parseFrom(CodedInputStream input)`
`static DescriptorProtos.FileOptions`
`parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
`static DescriptorProtos.FileOptions`
`parseFrom(InputStream input)`
`static DescriptorProtos.FileOptions`
`parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static DescriptorProtos.FileOptions`
`parseFrom(ByteBuffer data)`
`static DescriptorProtos.FileOptions`
`parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry)`
`static Parser<DescriptorProtos.FileOptions>`
`parser()`
`DescriptorProtos.FileOptions.Builder`
`toBuilder()`
Constructs a builder initialized with the current message.
`void`
`writeTo(CodedOutputStream output)`
Serializes the message and writes it to `output`.

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.ExtendableMessage

`extensionsAreInitialized, extensionsSerializedSize, extensionsSerializedSizeAsMessageSet, getAllFields, getAllFieldsRaw, getExtension, getExtension, getExtension, getExtension, getExtension, getExtension, getExtensionCount, getExtensionCount, getExtensionCount, getExtensionFields, getField, getRepeatedField, getRepeatedFieldCount, hasExtension, hasExtension, hasExtension, hasField, makeExtensionsImmutable, newExtensionWriter, newMessageSetExtensionWriter, parseUnknownField, parseUnknownFieldProto3`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, getDescriptorForType, getOneofFieldDescriptor, getUnknownFields, hasOneof, internalGetMapField, isStringEmpty, makeMutableCopy, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder

`getExtension, getExtension, getExtension, getExtension, getExtension, getExtension, getExtensionCount, getExtensionCount, getExtensionCount, hasExtension, hasExtension, hasExtension`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Field Details

### JAVA_PACKAGE_FIELD_NUMBER

public static final int JAVA_PACKAGE_FIELD_NUMBER

See Also:
  - Constant Field Values

### JAVA_OUTER_CLASSNAME_FIELD_NUMBER

public static final int JAVA_OUTER_CLASSNAME_FIELD_NUMBER

See Also:
  - Constant Field Values

### JAVA_MULTIPLE_FILES_FIELD_NUMBER

public static final int JAVA_MULTIPLE_FILES_FIELD_NUMBER

See Also:
  - Constant Field Values

### JAVA_GENERATE_EQUALS_AND_HASH_FIELD_NUMBER

public static final int JAVA_GENERATE_EQUALS_AND_HASH_FIELD_NUMBER

See Also:
  - Constant Field Values

### JAVA_STRING_CHECK_UTF8_FIELD_NUMBER

public static final int JAVA_STRING_CHECK_UTF8_FIELD_NUMBER

See Also:
  - Constant Field Values

### OPTIMIZE_FOR_FIELD_NUMBER

public static final int OPTIMIZE_FOR_FIELD_NUMBER

See Also:
  - Constant Field Values

### GO_PACKAGE_FIELD_NUMBER

public static final int GO_PACKAGE_FIELD_NUMBER

See Also:
  - Constant Field Values

### CC_GENERIC_SERVICES_FIELD_NUMBER

public static final int CC_GENERIC_SERVICES_FIELD_NUMBER

See Also:
  - Constant Field Values

### JAVA_GENERIC_SERVICES_FIELD_NUMBER

public static final int JAVA_GENERIC_SERVICES_FIELD_NUMBER

See Also:
  - Constant Field Values

### PY_GENERIC_SERVICES_FIELD_NUMBER

public static final int PY_GENERIC_SERVICES_FIELD_NUMBER

See Also:
  - Constant Field Values

### PHP_GENERIC_SERVICES_FIELD_NUMBER

public static final int PHP_GENERIC_SERVICES_FIELD_NUMBER

See Also:
  - Constant Field Values

### DEPRECATED_FIELD_NUMBER

public static final int DEPRECATED_FIELD_NUMBER

See Also:
  - Constant Field Values

### CC_ENABLE_ARENAS_FIELD_NUMBER

public static final int CC_ENABLE_ARENAS_FIELD_NUMBER

See Also:
  - Constant Field Values

### OBJC_CLASS_PREFIX_FIELD_NUMBER

public static final int OBJC_CLASS_PREFIX_FIELD_NUMBER

See Also:
  - Constant Field Values

### CSHARP_NAMESPACE_FIELD_NUMBER

public static final int CSHARP_NAMESPACE_FIELD_NUMBER

See Also:
  - Constant Field Values

### SWIFT_PREFIX_FIELD_NUMBER

public static final int SWIFT_PREFIX_FIELD_NUMBER

See Also:
  - Constant Field Values

### PHP_CLASS_PREFIX_FIELD_NUMBER

public static final int PHP_CLASS_PREFIX_FIELD_NUMBER

See Also:
  - Constant Field Values

### PHP_NAMESPACE_FIELD_NUMBER

public static final int PHP_NAMESPACE_FIELD_NUMBER

See Also:
  - Constant Field Values

### PHP_METADATA_NAMESPACE_FIELD_NUMBER

public static final int PHP_METADATA_NAMESPACE_FIELD_NUMBER

See Also:
  - Constant Field Values

### RUBY_PACKAGE_FIELD_NUMBER

public static final int RUBY_PACKAGE_FIELD_NUMBER

See Also:
  - Constant Field Values

### UNINTERPRETED_OPTION_FIELD_NUMBER

public static final int UNINTERPRETED_OPTION_FIELD_NUMBER

See Also:
  - Constant Field Values

### PARSER

@Deprecated public static final Parser<DescriptorProtos.FileOptions> PARSER
Deprecated.

## Method Details

### newInstance

protected Object newInstance(GeneratedMessageV3.UnusedPrivateParameter unused)
Description copied from class: `GeneratedMessageV3`
Creates a new instance of this message type. Overridden in the generated code.

Overrides:
  `newInstance` in class `GeneratedMessageV3`

### getDescriptor

public static final Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()
Description copied from class: `GeneratedMessageV3`
Get the FieldAccessorTable for this type. We can't have the message class pass this in to the constructor because of bootstrapping trouble with DescriptorProtos.

Specified by:
  `internalGetFieldAccessorTable` in class `GeneratedMessageV3`

### hasJavaPackage

public boolean hasJavaPackage()
`optional string java_package = 1 [json_name = "javaPackage"];`

Specified by:
  `hasJavaPackage` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  Whether the javaPackage field is set.

### getJavaPackage

public String getJavaPackage()
`optional string java_package = 1 [json_name = "javaPackage"];`

Specified by:
  `getJavaPackage` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  The javaPackage.

### getJavaPackageBytes

public ByteString getJavaPackageBytes()
`optional string java_package = 1 [json_name = "javaPackage"];`

Specified by:
  `getJavaPackageBytes` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  The bytes for javaPackage.

### hasJavaOuterClassname

public boolean hasJavaOuterClassname()
`optional string java_outer_classname = 8 [json_name = "javaOuterClassname"];`

Specified by:
  `hasJavaOuterClassname` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  Whether the javaOuterClassname field is set.

### getJavaOuterClassname

public String getJavaOuterClassname()
`optional string java_outer_classname = 8 [json_name = "javaOuterClassname"];`

Specified by:
  `getJavaOuterClassname` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  The javaOuterClassname.

### getJavaOuterClassnameBytes

public ByteString getJavaOuterClassnameBytes()
`optional string java_outer_classname = 8 [json_name = "javaOuterClassname"];`

Specified by:
  `getJavaOuterClassnameBytes` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  The bytes for javaOuterClassname.

### hasJavaMultipleFiles

public boolean hasJavaMultipleFiles()
`optional bool java_multiple_files = 10 [default = false, json_name = "javaMultipleFiles"];`

Specified by:
  `hasJavaMultipleFiles` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  Whether the javaMultipleFiles field is set.

### getJavaMultipleFiles

public boolean getJavaMultipleFiles()
`optional bool java_multiple_files = 10 [default = false, json_name = "javaMultipleFiles"];`

Specified by:
  `getJavaMultipleFiles` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  The javaMultipleFiles.

### hasJavaGenerateEqualsAndHash

@Deprecated public boolean hasJavaGenerateEqualsAndHash()
Deprecated.
google.protobuf.FileOptions.java_generate_equals_and_hash is deprecated. See google/protobuf/descriptor.proto;l=0
`optional bool java_generate_equals_and_hash = 20 [json_name = "javaGenerateEqualsAndHash", deprecated = true];`

Specified by:
  `hasJavaGenerateEqualsAndHash` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  Whether the javaGenerateEqualsAndHash field is set.

### getJavaGenerateEqualsAndHash

@Deprecated public boolean getJavaGenerateEqualsAndHash()
Deprecated.
google.protobuf.FileOptions.java_generate_equals_and_hash is deprecated. See google/protobuf/descriptor.proto;l=0
`optional bool java_generate_equals_and_hash = 20 [json_name = "javaGenerateEqualsAndHash", deprecated = true];`

Specified by:
  `getJavaGenerateEqualsAndHash` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  The javaGenerateEqualsAndHash.

### hasJavaStringCheckUtf8

public boolean hasJavaStringCheckUtf8()
`optional bool java_string_check_utf8 = 27 [default = false, json_name = "javaStringCheckUtf8"];`

Specified by:
  `hasJavaStringCheckUtf8` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  Whether the javaStringCheckUtf8 field is set.

### getJavaStringCheckUtf8

public boolean getJavaStringCheckUtf8()
`optional bool java_string_check_utf8 = 27 [default = false, json_name = "javaStringCheckUtf8"];`

Specified by:
  `getJavaStringCheckUtf8` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  The javaStringCheckUtf8.

### hasOptimizeFor

public boolean hasOptimizeFor()
`optional .google.protobuf.FileOptions.OptimizeMode optimize_for = 9 [default = SPEED, json_name = "optimizeFor"];`

Specified by:
  `hasOptimizeFor` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  Whether the optimizeFor field is set.

### getOptimizeFor

public DescriptorProtos.FileOptions.OptimizeMode getOptimizeFor()
`optional .google.protobuf.FileOptions.OptimizeMode optimize_for = 9 [default = SPEED, json_name = "optimizeFor"];`

Specified by:
  `getOptimizeFor` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  The optimizeFor.

### hasGoPackage

public boolean hasGoPackage()
`optional string go_package = 11 [json_name = "goPackage"];`

Specified by:
  `hasGoPackage` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  Whether the goPackage field is set.

### getGoPackage

public String getGoPackage()
`optional string go_package = 11 [json_name = "goPackage"];`

Specified by:
  `getGoPackage` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  The goPackage.

### getGoPackageBytes

public ByteString getGoPackageBytes()
`optional string go_package = 11 [json_name = "goPackage"];`

Specified by:
  `getGoPackageBytes` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  The bytes for goPackage.

### hasCcGenericServices

public boolean hasCcGenericServices()
`optional bool cc_generic_services = 16 [default = false, json_name = "ccGenericServices"];`

Specified by:
  `hasCcGenericServices` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  Whether the ccGenericServices field is set.

### getCcGenericServices

public boolean getCcGenericServices()
`optional bool cc_generic_services = 16 [default = false, json_name = "ccGenericServices"];`

Specified by:
  `getCcGenericServices` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  The ccGenericServices.

### hasJavaGenericServices

public boolean hasJavaGenericServices()
`optional bool java_generic_services = 17 [default = false, json_name = "javaGenericServices"];`

Specified by:
  `hasJavaGenericServices` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  Whether the javaGenericServices field is set.

### getJavaGenericServices

public boolean getJavaGenericServices()
`optional bool java_generic_services = 17 [default = false, json_name = "javaGenericServices"];`

Specified by:
  `getJavaGenericServices` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  The javaGenericServices.

### hasPyGenericServices

public boolean hasPyGenericServices()
`optional bool py_generic_services = 18 [default = false, json_name = "pyGenericServices"];`

Specified by:
  `hasPyGenericServices` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  Whether the pyGenericServices field is set.

### getPyGenericServices

public boolean getPyGenericServices()
`optional bool py_generic_services = 18 [default = false, json_name = "pyGenericServices"];`

Specified by:
  `getPyGenericServices` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  The pyGenericServices.

### hasPhpGenericServices

public boolean hasPhpGenericServices()
`optional bool php_generic_services = 42 [default = false, json_name = "phpGenericServices"];`

Specified by:
  `hasPhpGenericServices` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  Whether the phpGenericServices field is set.

### getPhpGenericServices

public boolean getPhpGenericServices()
`optional bool php_generic_services = 42 [default = false, json_name = "phpGenericServices"];`

Specified by:
  `getPhpGenericServices` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  The phpGenericServices.

### hasDeprecated

public boolean hasDeprecated()
`optional bool deprecated = 23 [default = false, json_name = "deprecated"];`

Specified by:
  `hasDeprecated` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  Whether the deprecated field is set.

### getDeprecated

public boolean getDeprecated()
`optional bool deprecated = 23 [default = false, json_name = "deprecated"];`

Specified by:
  `getDeprecated` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  The deprecated.

### hasCcEnableArenas

public boolean hasCcEnableArenas()
`optional bool cc_enable_arenas = 31 [default = true, json_name = "ccEnableArenas"];`

Specified by:
  `hasCcEnableArenas` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  Whether the ccEnableArenas field is set.

### getCcEnableArenas

public boolean getCcEnableArenas()
`optional bool cc_enable_arenas = 31 [default = true, json_name = "ccEnableArenas"];`

Specified by:
  `getCcEnableArenas` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  The ccEnableArenas.

### hasObjcClassPrefix

public boolean hasObjcClassPrefix()
`optional string objc_class_prefix = 36 [json_name = "objcClassPrefix"];`

Specified by:
  `hasObjcClassPrefix` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  Whether the objcClassPrefix field is set.

### getObjcClassPrefix

public String getObjcClassPrefix()
`optional string objc_class_prefix = 36 [json_name = "objcClassPrefix"];`

Specified by:
  `getObjcClassPrefix` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  The objcClassPrefix.

### getObjcClassPrefixBytes

public ByteString getObjcClassPrefixBytes()
`optional string objc_class_prefix = 36 [json_name = "objcClassPrefix"];`

Specified by:
  `getObjcClassPrefixBytes` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  The bytes for objcClassPrefix.

### hasCsharpNamespace

public boolean hasCsharpNamespace()
`optional string csharp_namespace = 37 [json_name = "csharpNamespace"];`

Specified by:
  `hasCsharpNamespace` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  Whether the csharpNamespace field is set.

### getCsharpNamespace

public String getCsharpNamespace()
`optional string csharp_namespace = 37 [json_name = "csharpNamespace"];`

Specified by:
  `getCsharpNamespace` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  The csharpNamespace.

### getCsharpNamespaceBytes

public ByteString getCsharpNamespaceBytes()
`optional string csharp_namespace = 37 [json_name = "csharpNamespace"];`

Specified by:
  `getCsharpNamespaceBytes` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  The bytes for csharpNamespace.

### hasSwiftPrefix

public boolean hasSwiftPrefix()
`optional string swift_prefix = 39 [json_name = "swiftPrefix"];`

Specified by:
  `hasSwiftPrefix` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  Whether the swiftPrefix field is set.

### getSwiftPrefix

public String getSwiftPrefix()
`optional string swift_prefix = 39 [json_name = "swiftPrefix"];`

Specified by:
  `getSwiftPrefix` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  The swiftPrefix.

### getSwiftPrefixBytes

public ByteString getSwiftPrefixBytes()
`optional string swift_prefix = 39 [json_name = "swiftPrefix"];`

Specified by:
  `getSwiftPrefixBytes` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  The bytes for swiftPrefix.

### hasPhpClassPrefix

public boolean hasPhpClassPrefix()
`optional string php_class_prefix = 40 [json_name = "phpClassPrefix"];`

Specified by:
  `hasPhpClassPrefix` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  Whether the phpClassPrefix field is set.

### getPhpClassPrefix

public String getPhpClassPrefix()
`optional string php_class_prefix = 40 [json_name = "phpClassPrefix"];`

Specified by:
  `getPhpClassPrefix` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  The phpClassPrefix.

### getPhpClassPrefixBytes

public ByteString getPhpClassPrefixBytes()
`optional string php_class_prefix = 40 [json_name = "phpClassPrefix"];`

Specified by:
  `getPhpClassPrefixBytes` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  The bytes for phpClassPrefix.

### hasPhpNamespace

public boolean hasPhpNamespace()
`optional string php_namespace = 41 [json_name = "phpNamespace"];`

Specified by:
  `hasPhpNamespace` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  Whether the phpNamespace field is set.

### getPhpNamespace

public String getPhpNamespace()
`optional string php_namespace = 41 [json_name = "phpNamespace"];`

Specified by:
  `getPhpNamespace` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  The phpNamespace.

### getPhpNamespaceBytes

public ByteString getPhpNamespaceBytes()
`optional string php_namespace = 41 [json_name = "phpNamespace"];`

Specified by:
  `getPhpNamespaceBytes` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  The bytes for phpNamespace.

### hasPhpMetadataNamespace

public boolean hasPhpMetadataNamespace()
`optional string php_metadata_namespace = 44 [json_name = "phpMetadataNamespace"];`

Specified by:
  `hasPhpMetadataNamespace` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  Whether the phpMetadataNamespace field is set.

### getPhpMetadataNamespace

public String getPhpMetadataNamespace()
`optional string php_metadata_namespace = 44 [json_name = "phpMetadataNamespace"];`

Specified by:
  `getPhpMetadataNamespace` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  The phpMetadataNamespace.

### getPhpMetadataNamespaceBytes

public ByteString getPhpMetadataNamespaceBytes()
`optional string php_metadata_namespace = 44 [json_name = "phpMetadataNamespace"];`

Specified by:
  `getPhpMetadataNamespaceBytes` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  The bytes for phpMetadataNamespace.

### hasRubyPackage

public boolean hasRubyPackage()
`optional string ruby_package = 45 [json_name = "rubyPackage"];`

Specified by:
  `hasRubyPackage` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  Whether the rubyPackage field is set.

### getRubyPackage

public String getRubyPackage()
`optional string ruby_package = 45 [json_name = "rubyPackage"];`

Specified by:
  `getRubyPackage` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  The rubyPackage.

### getRubyPackageBytes

public ByteString getRubyPackageBytes()
`optional string ruby_package = 45 [json_name = "rubyPackage"];`

Specified by:
  `getRubyPackageBytes` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  The bytes for rubyPackage.

### getUninterpretedOptionList

public List<DescriptorProtos.UninterpretedOption> getUninterpretedOptionList()
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

Specified by:
  `getUninterpretedOptionList` in interface `DescriptorProtos.FileOptionsOrBuilder`

### getUninterpretedOptionOrBuilderList

public List<? extends DescriptorProtos.UninterpretedOptionOrBuilder> getUninterpretedOptionOrBuilderList()
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

Specified by:
  `getUninterpretedOptionOrBuilderList` in interface `DescriptorProtos.FileOptionsOrBuilder`

### getUninterpretedOptionCount

public int getUninterpretedOptionCount()
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

Specified by:
  `getUninterpretedOptionCount` in interface `DescriptorProtos.FileOptionsOrBuilder`

### getUninterpretedOption

public DescriptorProtos.UninterpretedOption getUninterpretedOption(int index)
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

Specified by:
  `getUninterpretedOption` in interface `DescriptorProtos.FileOptionsOrBuilder`

### getUninterpretedOptionOrBuilder

public DescriptorProtos.UninterpretedOptionOrBuilder getUninterpretedOptionOrBuilder(int index)
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

Specified by:
  `getUninterpretedOptionOrBuilder` in interface `DescriptorProtos.FileOptionsOrBuilder`

### isInitialized

public final boolean isInitialized()
Description copied from interface: `MessageLiteOrBuilder`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.

See also: `MessageOrBuilder.getInitializationErrorString()`

Specified by:
  `isInitialized` in interface `MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `GeneratedMessageV3.ExtendableMessage<DescriptorProtos.FileOptions>`

### writeTo

public void writeTo(CodedOutputStream output) throws IOException
Description copied from interface: `MessageLite`
Serializes the message and writes it to `output`. This does not flush or close the stream.

Specified by:
  `writeTo` in interface `MessageLite`
Overrides:
  `writeTo` in class `GeneratedMessageV3`
Throws:
  `IOException`

### getSerializedSize

public int getSerializedSize()
Description copied from interface: `MessageLite`
Get the number of bytes required to encode this message. The result is only computed on the first call and memoized after that. If this message requires more than Integer.MAX_VALUE bytes to encode, the return value will be smaller than the actual number of bytes required and might be negative.

Specified by:
  `getSerializedSize` in interface `MessageLite`
Overrides:
  `getSerializedSize` in class `GeneratedMessageV3`

### equals

public boolean equals(Object obj)
Description copied from interface: `Message`
Compares the specified object with this message for equality. Returns `true` if the given object is a message of the same type (as defined by `getDescriptorForType()`) and has identical values for all of its fields. Subclasses must implement this; inheriting `Object.equals()` is incorrect.

Specified by:
  `equals` in interface `Message`
Overrides:
  `equals` in class `AbstractMessage`
Parameters:
  `obj` - object to be compared for equality with this message
Returns:
  `true` if the specified object is equal to this message

### hashCode

public int hashCode()
Description copied from interface: `Message`
Returns the hash code value for this message. The hash code of a message should mix the message's type (object identity of the descriptor) with its contents (known and unknown field values). Subclasses must implement this; inheriting `Object.hashCode()` is incorrect.

Specified by:
  `hashCode` in interface `Message`
Overrides:
  `hashCode` in class `AbstractMessage`
Returns:
  the hash code value for this message
See Also:
  - `Map.hashCode()`

### parseFrom

public static DescriptorProtos.FileOptions parseFrom(ByteBuffer data) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static DescriptorProtos.FileOptions parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static DescriptorProtos.FileOptions parseFrom(ByteString data) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static DescriptorProtos.FileOptions parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static DescriptorProtos.FileOptions parseFrom(byte[] data) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static DescriptorProtos.FileOptions parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static DescriptorProtos.FileOptions parseFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static DescriptorProtos.FileOptions parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static DescriptorProtos.FileOptions parseDelimitedFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static DescriptorProtos.FileOptions parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseFrom

public static DescriptorProtos.FileOptions parseFrom(CodedInputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static DescriptorProtos.FileOptions parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### newBuilderForType

public DescriptorProtos.FileOptions.Builder newBuilderForType()
Description copied from interface: `MessageLite`
Constructs a new builder for a message of the same type as this message.

Specified by:
  `newBuilderForType` in interface `Message`
Specified by:
  `newBuilderForType` in interface `MessageLite`

### newBuilder

public static DescriptorProtos.FileOptions.Builder newBuilder()

### newBuilder

public static DescriptorProtos.FileOptions.Builder newBuilder(DescriptorProtos.FileOptions prototype)

### toBuilder

public DescriptorProtos.FileOptions.Builder toBuilder()
Description copied from interface: `MessageLite`
Constructs a builder initialized with the current message. Use this to derive a new message from the current one.

Specified by:
  `toBuilder` in interface `Message`
Specified by:
  `toBuilder` in interface `MessageLite`

### newBuilderForType

protected DescriptorProtos.FileOptions.Builder newBuilderForType(GeneratedMessageV3.BuilderParent parent)
Description copied from class: `GeneratedMessageV3`
TODO(b/258340024): remove this together with GeneratedMessageV3.BuilderParent.

Specified by:
  `newBuilderForType` in class `GeneratedMessageV3`

### getDefaultInstance

public static DescriptorProtos.FileOptions getDefaultInstance()

### parser

public static Parser<DescriptorProtos.FileOptions> parser()

### getParserForType

public Parser<DescriptorProtos.FileOptions> getParserForType()
Description copied from class: `GeneratedMessageV3`
TODO(b/258340024): Remove this unnecessary intermediate implementation of this method.

Specified by:
  `getParserForType` in interface `Message`
Specified by:
  `getParserForType` in interface `MessageLite`
Overrides:
  `getParserForType` in class `GeneratedMessageV3`

### getDefaultInstanceForType

public DescriptorProtos.FileOptions getDefaultInstanceForType()
Description copied from interface: `MessageLiteOrBuilder`
Get an instance of the type with no fields set. Because no fields are set, all getters for singular fields will return default values and repeated fields will appear empty. This may or may not be a singleton. This differs from the `getDefaultInstance()` method of generated message classes in that this method is an abstract method of the `MessageLite` interface whereas `getDefaultInstance()` is a static method of a specific class. They return the same thing.

Specified by:
  `getDefaultInstanceForType` in interface `GeneratedMessageV3.ExtendableMessageOrBuilder<DescriptorProtos.FileOptions>`
Specified by:
  `getDefaultInstanceForType` in interface `MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `MessageOrBuilder`